com.r3corda.simulation / IRSSimulation

# IRSSimulation

`class IRSSimulation : Simulation`

A simulation in which banks execute interest rate swaps with each other, including the fixing events.

### Constructors

<init> | `IRSSimulation(networkSendManuallyPumped: Boolean, runAsync: Boolean, latencyInjector: <ERROR CLASS>?)` A simulation in which banks execute interest rate swaps with each other, including the fixing events.

### Properties

om | `val om: <ERROR CLASS>`

### Inherited Properties

allProtocolSteps | `val allProtocolSteps: <ERROR CLASS><<ERROR CLASS><SimulatedNode, Change>>`
bankFactory | `val bankFactory: BankFactory`
bankLocations | `val bankLocations: <ERROR CLASS>`
banks | `val banks: List<SimulatedNode>`
clocks | `val clocks: <ERROR CLASS>`
currentDateAndTime | `var currentDateAndTime: LocalDateTime` The current simulated date. By default this never changes. If you want it to change, you should do so from within your overridden iterate call. Changes in the current day surface in the dateChanges observable.
dateChanges | `val dateChanges: <ERROR CLASS><LocalDateTime>`
doneSteps | `val doneSteps: <ERROR CLASS><Collection<SimulatedNode>>`
extraNodeLabels | `val extraNodeLabels: MutableMap<SimulatedNode, String>` A place for simulations to stash human meaningful text about what the node is "thinking", which might appear in the UI somewhere.
network | `val network: <ERROR CLASS>`
networkInitialisationFinished | `val networkInitialisationFinished: <ERROR CLASS><out <ERROR CLASS>>`
networkMap | `val networkMap: SimulatedNode`
networkSendManuallyPumped | `val networkSendManuallyPumped: Boolean`
notary | `val notary: SimulatedNode`
ratesOracle | `val ratesOracle: SimulatedNode`
regulators | `val regulators: List<SimulatedNode>`
serviceProviders | `val serviceProviders: List<SimulatedNode>`

### Functions

iterate | `fun iterate(): <ERROR CLASS>?` Iterates the simulation by one step.
startMainSimulation | `fun startMainSimulation(): <ERROR CLASS><Unit>` Sub-classes should override this to trigger whatever they want to simulate. This method will be invoked once the network bringup has been simulated.

### Inherited Functions

showConsensusFor | `fun showConsensusFor(nodes: List<SimulatedNode>): Unit`
showProgressFor | `fun showProgressFor(nodes: List<SimulatedNode>): Unit`
start | `fun start(): <ERROR CLASS><Unit>`
startTradingCircle | `fun startTradingCircle(tradeBetween: (Int, Int) -> <ERROR CLASS><out <ERROR CLASS>>): Unit` Given a function that returns a future, iterates that function with arguments like (0, 1), (1, 2), (2, 3) etc each time the returned future completes.
stop | `fun stop(): Unit`